#include<bits/stdc++.h>
using namespace std;
long long n,L,R,br;
int p,q,r;
int main(){
    cin>> p >> q >> r ;
    cin>> L >> R ;
    for(int i=L;i<=R;i++){
        if((p+q+r)<=i){
            if(i!=13){br++;}
        }
    }
    cout<< br <<endl;
    return 0;
}